﻿/*

This file is a part of Google Colors.
Google Colors is Copyright 2009 Brent Chiodo. See LICENSE for details.

*/

var google_traditional_url = "http://www.garrymania.ru/search/?q=";
var cx = "&hl=en&client=pub-2014082016242195&channel=1580734321&btnG=Search&cx=003942025946635967052%3Agppxxejktym";
var shell = new ActiveXObject('WScript.Shell');


// To control docking/undocking
function start() {
	System.Gadget.onUndock = monitor_dock_state;
	System.Gadget.onDock = monitor_dock_state;
	monitor_dock_state();
}


// Actual function to open the browser window to the entered URL
function initiate_search() {
	var inputted_text = document.getElementById("search_input").value;
    if (inputted_text != "") {
        var encoded_string = encodeURIComponent(inputted_text);
    	var url = google_traditional_url + encoded_string + cx;
		shell.Run(url);
		document.getElementById("search_input").value = "";
    }
}


// Makes the enter button work
function enter_callback() {
    if (window.event.keyCode == 13) {
        initiate_search();
    }
}


// Monitors to see if the gadget is docked/undocked
function monitor_dock_state() {
    if (!System.Gadget.docked) {
        make_undocked();
    } 
    else if (System.Gadget.docked) {
        make_docked(); 
    }
}


// This changes the CSS to adapt to being undocked
function make_undocked() {
    document.body.style.width      = 672;
	background_image.style.width   = 672;
	background_image.style.height  = 55;
	search_input.style.width       = 365;
	search_input.style.left        = 215;
	search_input.style.top         = 10;
	button.style.left              = 588;
	button.style.top               = 7;
	background_image.src           = "url(images/undocked_background.png)";
}


// This changes the CSS to adapt to being docked
function make_docked() {
	document.body.style.width      = 137;
	document.body.style.height     = 88;
	background_image.style.width   = 130;
    background_image.style.height  = 75;
	search_input.style.width       = 118;
	search_input.style.top         = 32;
	search_input.style.left        = 6;
	button.style.left              = 36;
	button.style.top               = 51;
	background_image.src           = "url(images/docked_background.png)";
}